﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            using (Model1Container m = new Model1Container())
            {
                System.Diagnostics.Debug.Write(m.CreateDatabaseScript());
                if (m.DatabaseExists())
                    m.DeleteDatabase();
                m.CreateDatabase();
                m.SaveChanges();
            }

            using (Model1Container m = new Model1Container())
            {
                Entity1 e1 = new Entity1() { Name = "test" };
                m.AddToEntity1Set(e1);
                e1.Entity2.Add(new Entity2() { Name = "test" });
                m.SaveChanges();
            }
            
            using (Model1Container m = new Model1Container())
            {
                m.DeleteObject(m.Entity1Set.FirstOrDefault());
                m.SaveChanges();
            }
        }
    }
}
